﻿$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$installArgs = '/S /D=' + $toolsDir

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  url            = 'https://dist.torproject.org/torbrowser/9.0a7/torbrowser-install-9.0a7_en-US.exe'
  url64bit       = 'https://dist.torproject.org/torbrowser/9.0a7/torbrowser-install-win64-9.0a7_en-US.exe'
  checksum       = '4296bfe36c72b23b00671f1d1bdb4952b42378b7c2067320fffba2a0bf801df5'
  checksum64     = '0c4867d9d571539dcd5892507331b602b5db7e32524662087e2eb7a6e5bbc206'
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = $installArgs
}

Install-ChocolateyPackage @packageArgs

$files = Get-ChildItem $toolsDir -include *.exe -recurse
foreach ($file in $files) {
    New-Item "$file.ignore" -type file -force | Out-Null
}
